## qt-at-spi 0.4.0

=== CMakeLists.txt ===
project(QtAtSpi)

cmake_minimum_required(VERSION 2.6)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# override the KDE defaults and build tests unless explicitly disabled
#option(KDE4_BUILD_TESTS  "Build the tests" ON)

find_package(Qt4 4.8 REQUIRED)
find_package(KDE4)
include(KDE4Defaults)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT4_INCLUDES}  ${QT_INCLUDE_DIR} ${QT_QT_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${KDE4_INCLUDES})

# Require libatspi2-core headers for building:
include(FindPkgConfig)
pkg_check_modules(ATSPI2 REQUIRED atspi-2)
include_directories(${ATSPI2_INCLUDE_DIRS})


set(QTATSPI_QT_PLUGIN_INSTALL_DIR lib${LIB_SUFFIX}/qt4/plugins/
    CACHE PATH "The directory where QtAtSpi plugin will be installed to.")

add_subdirectory(src)
add_subdirectory(translations)
add_subdirectory(tests)
add_subdirectory(examples)

=== examples/CMakeLists.txt ===
add_subdirectory(calculator)
add_subdirectory(declarative)
add_subdirectory(simple)

=== src/CMakeLists.txt ===

project(qspiaccessiblebridge)

find_package(X11 REQUIRED)

#add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

set(qspiaccessiblebridge_SRCS
           generated/dec_proxy.cpp
           generated/socket_proxy.cpp
           generated/cache_adaptor.cpp
           application.cpp
           bridge.cpp
           cache.cpp
           struct_marshallers.cpp
           constant_mappings.cpp
           main.cpp
           dbusconnection.cpp
           standardactionwrapper.cpp
           atspiadaptor.cpp
)

# when building the files in src/generated we need them to find the files in src since
# headers are needed from there for the types used in dbus
include_directories(${CMAKE_SOURCE_DIR}/src)

kde4_add_library(qspiaccessiblebridge SHARED ${qspiaccessiblebridge_SRCS})

target_link_libraries(qspiaccessiblebridge ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${X11_X11_LIB} ${KDE4_KDECORE_LIBS})

install(TARGETS qspiaccessiblebridge DESTINATION ${QTATSPI_QT_PLUGIN_INSTALL_DIR}/accessiblebridge/)

=== tests/CMakeLists.txt ===

set(tst_qt-atspi_SRCS
    tst_qt-atspi.cpp
    ${CMAKE_SOURCE_DIR}/src/dbusconnection.cpp
    ${CMAKE_SOURCE_DIR}/src/struct_marshallers.cpp
    ${CMAKE_SOURCE_DIR}/
)

include_directories(${CMAKE_BINARY_DIR}/tests)
message("Building test...")
message(${CMAKE_BINARY_DIR})

kde4_add_unit_test(tst_qt-atspi ${tst_qt-atspi_SRCS})
target_link_libraries(tst_qt-atspi ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTDBUS_LIBRARY} ${X11_X11_LIB})

=== translations/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname qtatspi_qt)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES *.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== examples/calculator/CMakeLists.txt ===

set(calculator_SRCS
    main.cpp
    calculator.cpp
    button.cpp
)

kde4_add_executable(calculator ${calculator_SRCS})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR}/src)
target_link_libraries(calculator ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

=== examples/declarative/CMakeLists.txt ===
set(declarative_SRCS
    main.cpp
    mainwindow.cpp
)

kde4_add_ui_files(declarative_SRCS
    mainwindow.ui
)

kde4_add_executable(declarative ${declarative_SRCS})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

target_link_libraries(declarative ${QT_QTCORE_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS})

=== examples/simple/CMakeLists.txt ===

set(simple_SRCS
    main.cpp
    mainwindow.cpp
)

kde4_add_ui_files(simple_SRCS
    mainwindow.ui
)

kde4_add_executable(simple ${simple_SRCS})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR}/src)
target_link_libraries(simple ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS})

## qt-at-spi 0.0~git20110628

=== debian/changelog ===
qt-at-spi (0.0~git20110628-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 28 Jun 2011 11:43:21 +0200

qt-at-spi (0.0~git20110623dfsg-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot
  * debian/control:
    - build-dep on libatspi2.0-dev
  * debian/copyright:
    - fix licensing and adapt to DEP-5

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Jun 2011 13:07:36 +0200

qt-at-spi (0.0~git20110328-0ubuntu1~ppa1) natty; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Mar 2011 18:13:01 +0100

qt-at-spi (0.0~git20110321-0ubuntu1~ppa1) natty; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Mar 2011 12:04:20 +0000

=== debian/control ===
Source: qt-at-spi
Priority: optional
Section: misc
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3),
               libqt4-dev,
               libatspi2.0-dev
Standards-Version: 3.9.2

Package: qt-at-spi
Section: misc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: accessibility plugin for Qt
 A plugin to export Qt widgets over AT-SPI2.  This allows them
 to be read by accessibility tools such as the Orca screen reader.

## qt-at-spi 0.2.0+git20120411

=== debian/changelog ===
qt-at-spi (0.2.0+git20120411-0ubuntu1) precise; urgency=low

  * New upstream bugfix snapshot
    - QSpiRect -> QRect and fix CharacterExtents
    - Make application a child of the main atspi adaptor.
    - Only send key events when there's a listener.
    - Fix double delete in getWindow.
    - Return null path when asked for invalid child or parent.
    - Do not return null path for application.
    - Add state transient for list/tree items to fix caching issues
    - end focus changes also when listening to state changes in objects
    - Return indexOfChild 0-based.
    - Fix GetRowAtIndex and Column
    - When invisible we can also say not showing.
  * debian/docs: Add Changelog file

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 12 Apr 2012 10:56:50 +1000

qt-at-spi (0.2.0-0ubuntu1) precise; urgency=low

  * New upstream bugfix release
    - Fix introspection of root accessible.
    - Use plastique style in test.
    - Remove useless debug output.
    - Improve shortcut handling.
    - Not every line edit is a password one.
    - Sent the right text for text insert/delete events.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 15 Mar 2012 09:10:17 +1100

qt-at-spi (0.1.1+20120306-0ubuntu1) precise; urgency=low

  * New upstream bugfix snapshot (LP: #947641)
    - Fix broken menu accessibility
    - Set proper role for password line edits
    - Emit selection changed signals
    - Implement accessible actions

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 08 Mar 2012 09:34:05 +1100

qt-at-spi (0.1.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump debhelper build dependency to 8.1.3~.
    - bump libqt4-dev build dependency to 4:4.8.0.

 -- Fathi Boudra <fabo@debian.org>  Mon, 09 Jan 2012 10:06:59 +0200

qt-at-spi (0.0~git20110628-0ubuntu2) precise; urgency=low

  * Build for multi-arch
  * debian/copyright: Add extra text about debian packaging license

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 11 Nov 2011 14:00:22 +1100

=== debian/control ===
Source: qt-at-spi
Priority: optional
Section: misc
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.3~), libatspi2.0-dev, libqt4-dev (>= 4:4.8.0)
Standards-Version: 3.9.2

Package: qt-at-spi
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: accessibility plugin for Qt
 A plugin to export Qt widgets over AT-SPI2. This allows them to be read by
 accessibility tools such as the Orca screen reader.

## qt-at-spi 0.3.1

=== debian/changelog ===
qt-at-spi (0.3.1-4fakesync1) saucy-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1198089).

 -- Oussama Bounaim <o.bounaim@gmail.com>  Fri, 05 Jul 2013 15:20:26 +0200

qt-at-spi (0.3.1-4) unstable; urgency=low

  * patches/werror: New patch to drop use of -Werror (Closes: #701343).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jun 2013 23:54:58 +0200

qt-at-spi (0.3.1-3) unstable; urgency=low

  * Split out API documentation into new qt-at-spi-doc package. This should
    permit qt-at-spi to be really multi-arch-installable (Closes: #689403).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 04 Oct 2012 02:04:59 +0200

qt-at-spi (0.3.1-2) unstable; urgency=low

  [ Luke Yelavich ]
  * Declare multi-arch support, so the bridge can be used for 32bit
    applications.

  [ Samuel Thibault ]
  * rules: Disable bindnow hardening, it completely breaks loading the whole
    bridge (Closes: #688988).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Oct 2012 01:41:13 +0200

qt-at-spi (0.3.1-1) unstable; urgency=low

  [ Luke Yelavich ]
  * Initial release (Closes: #629870)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 23:02:24 +0200

=== debian/control ===
Source: qt-at-spi
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Luke Yelavich <luke.yelavich@canonical.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7.3), libqt4-dev (>= 4:4.8~), libatspi2.0-dev, hardening-wrapper, qt4-dev-tools
Standards-Version: 3.9.3
Section: misc

Package: qt-at-spi
Section: misc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: at-spi accessibility plugin for Qt
 A plugin to export Qt widgets over AT-SPI2.  This allows them
 to be read by accessibility tools such as the Orca screen reader.

Package: qt-at-spi-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: qt-at-spi
Description: at-spi accessibility plugin for Qt - Documentation
 A plugin to export Qt widgets over AT-SPI2.  This allows them
 to be read by accessibility tools such as the Orca screen reader.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_BINDNOW=0

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	cd doc ; qdoc3 qatspi.qdocconf

## qt-at-spi 0.4.0

=== debian/changelog ===
qt-at-spi (0.4.0-9) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * control: Mark qt-at-spi-doc Multi-Arch: foreign.
  * patches/timeout: Increase at-spi timeout to 25s rather than just 1s, which
    could happen if the machine is just a bit sluggish. 25s is the normal dbus
    timeout.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 15:27:11 +0200

qt-at-spi (0.4.0-8) unstable; urgency=high

  * patches/nokde: Restore to previous version (Closes: Bug#887431)
  * Restore kdelibs5-dev build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Jan 2018 17:57:10 +0100

qt-at-spi (0.4.0-7) unstable; urgency=medium

  [ Alexander Volkov ]
  * patches/nokde: Complete to completely avoid kde.
  * control: Remove kdelibs5-dev build-dep accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:38:54 +0100

qt-at-spi (0.4.0-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Bump Standards-Version to 4.1.1 (no change)

  [ Helmut Grohne ]
  * Indirect cmake through dh_auto_configure (Closes: #875748)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 17:53:57 +0200

qt-at-spi (0.4.0-5) unstable; urgency=medium

  * control: Drop hardening-wrapper dependency (Closes: #836650)
  * rules: Set hardening, but not bindnow.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:53:18 +0200

qt-at-spi (0.4.0-4) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.8 (no change).
  * control: Build-Depend on dbus instead of dbus-x11, and run testsuite through
    dbus-run-session.
  * rules: Drop simple and tabbar binaries from tarball.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 22:25:38 +0200

qt-at-spi (0.4.0-3) unstable; urgency=medium

  * Add watch file.
  * patches/nokde: Comment out translation support to avoid libkdecore5
    dependency.  We don't have any translation and probably won't, anyway.
  * rules: Remove generated documentation in clean rule.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Nov 2015 19:17:40 +0100

qt-at-spi (0.4.0-2) unstable; urgency=medium

  * rules: Unless DEB_BUILD_OPTIONS contains debug, define
    QT_NO_DEBUG_STREAM QT_NO_WARNING_OUTPUT to disable debugging output.
  * patches/quiet: Remove patch.
  * patches/noassert: Complete patch to replace assertions with warnings.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Oct 2015 23:25:45 +0200

qt-at-spi (0.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #801057).
    - patches/werror: Remove, not needed any more.
    - patches/getcharacterextents-marshalling: Refresh.
    - patches/noassert: Refresh.
    - control: Add cmake, kdelibs5-dev, xvfb, dbus-x11, and at-spi2-core
      build-depends.
    - rules: Fix multi-arch plugin path, run dh_auto_test inside xvfb-run.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Oct 2015 03:23:15 +0200

qt-at-spi (0.3.1-8) unstable; urgency=medium

  * patches/noassert: Avoid using assertions, which would crash applications...

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Sep 2015 01:45:00 +0200

qt-at-spi (0.3.1-7) unstable; urgency=medium

  * patches/quiet: New patch to shut successful initialization messages down.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 00:26:53 +0200

qt-at-spi (0.3.1-6) unstable; urgency=medium

  * patches/getcharacterextents-marshalling: New patch from QT5 to
    fix marshalling of GetCharacterExtents and GetRangeExtents
    (Closes: #792208).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 12 Aug 2015 00:40:14 +0200

qt-at-spi (0.3.1-5) unstable; urgency=low

  * patches/timeout: Mitigate kde application startup time when the at-spi bus
    is hosed (Closes: #762672).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Jan 2015 02:56:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: qt-at-spi
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Luke Yelavich <luke.yelavich@canonical.com>, Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7.3), libqt4-dev (>= 4:4.8~), libatspi2.0-dev, hardening-wrapper, qt4-dev-tools
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.3), libqt4-dev (>= 4:4.8~), libatspi2.0-dev, qt4-dev-tools, cmake, kdelibs5-dev, xvfb, dbus, at-spi2-core
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/qt-at-spi.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/qt-at-spi.git
+Standards-Version: 4.2.0
 Section: misc
 
 Package: qt-at-spi
@@ -20,6 +21,7 @@
 Package: qt-at-spi-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: qt-at-spi
 Description: at-spi accessibility plugin for Qt - Documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# disable debug and warnings by default, use DEB_BUILD_OPTIONS to enable them
# back
CXXFLAGS ?=
ifeq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -DQT_NO_DEBUG_STREAM -DQT_NO_WARNING_OUTPUT
endif
export CXXFLAGS

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build
	cd doc ; qdoc3 qatspi.qdocconf

override_dh_auto_clean:
	dh_auto_clean
	rm -fr doc/html
	rm -f examples/tabbar/simple
	rm -f examples/tabbar/tabbar

override_dh_auto_test:
	-xvfb-run dbus-run-session -- dh_auto_test
